Gå til hovedinnhold

Retrieve Information related to Companies

GET 

/companies/information

Company Information Endpoint

Overview

This API returns information about a company or companies based on a batch ID or property ID NMA or Organization ID.

It supports both single company retrieval, single property retrieval and batch downloads.

It returns data from the Norwegian Central Coordinating Register for Legal Entities (Enhetsregisteret) and PropCloud.

The API returns data about the company, including its name, industry classification (NACE code and description), organization type, registration details (such as VAT and Foretaksregisteret status), business and postal addresses, as well as key dates (registration and founding).

Example Request

curl -X 'GET' \
'https://apis.propcloud.no/api/public/companies/information?property-id-nma=0301-208-279-0-0&org-id=913418719' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY'

Response Description

KeyDescriptionBeskrivelseSource
orgIdUnique identifier for the organizationUnik identifikator for organisasjonenEnhetsregisteret
companyNameThe name of the companyNavnet paa selskapetEnhetsregisteret
propertyIdNmaUnique identifier for the property, generated by PropCloud based on: city number, ground number, usage number, lease number, and section numberUnik identifikator for eiendommen generert av PropCloud basert paa: kommunenummer, gaardsnummer, bruksnummer, festenummer og seksjonsnummerPropCloud
organizationTypeThe type or classification of the organization (e.g., AS, ANS)Organisasjonstype eller klassifisering av organisasjonen (f.eks. AS, ANS)Enhetsregisteret
naceIndustryCodeNACE industry classification code for the company's business activitiesNACE-industri klassifiseringskode for selskapets virksomhetEnhetsregisteret
naceDescriptionDescription of the business activities corresponding to the NACE industry codeBeskrivelse av virksomhetsaktivitetene som tilsvarer NACE-industri kodenEnhetsregisteret
websiteThe URL of the company's official websiteNettadressen til selskapets offisielle nettstedEnhetsregisteret
postalLocationPaThe postal location for the company's postal addressPoststed for selskapets postadresseEnhetsregisteret
streetAddressBaThe street address for the company's business addressGateadresse for selskapets forretningsadresseEnhetsregisteret
postalLocationBaThe postal location for the company's business addressPoststed for selskapets forretningsadresseEnhetsregisteret
postalCodeBaPostal code for the business addressPostnummer for forretningsadressenEnhetsregisteret
streetAddressPaThe street address for the company's postal addressGateadresse for selskapets postadresseEnhetsregisteret
postalCodePaPostal code for the postal addressPostnummer for postadressenEnhetsregisteret
registeredDateThe date when the company was registeredDatoen da selskapet ble registrertEnhetsregisteret
foundedDateThe date when the company was foundedDatoen da selskapet ble stiftetEnhetsregisteret
registeredMvaIndicates whether the company is registered for VAT (MVA)Indikerer om selskapet er MVA-registrertEnhetsregisteret
registeredFrIndicates whether the company is registered in the Norwegian non-profit registryIndikerer om selskapet er registrert i FrivillighetsregisteretEnhetsregisteret
batchIdUnique identifier for the batch of recordsUnik identifikator for batchenPropCloud

Request

Responses

Successful Response